> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# usertype

> Simple, hard-coded provider for the associate type - Employee, ExternalPerson, Resource, Anonymous, System, Invalid User Type

## "usertype" MDO List

Simple, hard-coded provider for the associate type: Employee, ExternalPerson, Resource, Anonymous, System, Invalid User Type

Implemented by the <see cref="T:SuperOffice.CRM.Lists.AssociateTypeListProvider">AssociateTypeListProvider</see> class.
The name of the MDO list is 'usertype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/usertype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("usertype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name       | StyleHint | ExtraInfo |
| -- | ---------- | --------- | --------- |
| 0  | Associate  |           |           |
| 4  | External   |           |           |
| 1  | Resource   |           |           |
| 7  | Anonymous  |           |           |
| 13 | System     |           |           |
| -1 | Not a user |           |           |

## Related MDO Lists

* "usertypeheadings"
* "usertypeheadingswithallitem"
* "usertypeheadingswithallitemwithnoselection"
* "usertypeheadingswithnoselection"
* "usertypewithallitem"
* "usertypewithallitemwithnoselection"
* "usertypewithnoselection"


## Related topics

- [Enum UserType](/en/automation/crmscript/reference/CRMScript.NetServer.UserType.md)
- [SuperOffice.WebApi.Data.UserType](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserType.md)
- [SuperOffice.WebApi.Data.UserInfo](/en/api/reference/webapi/SuperOffice.WebApi.Data.UserInfo.md)
- [SuperOffice.WebApi.Data.SoPrincipalCarrier](/en/api/reference/webapi/SuperOffice.WebApi.Data.SoPrincipalCarrier.md)
- [SuperOffice.WebApi.Agents.IUserAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IUserAgent.md)
- [SuperOffice.WebApi.Agents.UserAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.UserAgent.md)
